Skip to main content
GET
/
dtt
/
{id}
Get DTT device by ID
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/dtt/{id} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": 1,
    "bubbleId": "dtt-001",
    "ownerId": 42,
    "macAddress": "AA:BB:CC:DD:EE:FF",
    "serialNumber": "DTT-2024-001",
    "softwareVersion": "1.2.3",
    "lastVisited": "2026-02-18T12:00:00Z",
    "lastLogAt": "2026-02-18T11:30:00Z",
    "createdDate": "2025-06-01T10:00:00Z",
    "apiHits": 150
  }
}

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Path Parameters

id
integer
required

The DTT device ID

Required range: x >= 1
Example:

1

Response

DTT device details

ok
boolean
required
data
object
required